2004-10-11 Monday 21:44  Frank Naumann <fnaumann@freemint.de>

	* sys/buildinfo/version.h, xaaes/src.km/version.h:

	Bumped version numbers for 1.16.1 beta release.
	
2004-10-11 Monday 18:18  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_window.c, menuwidg.c, messages.c:

	Hopefully stopped threaded redraw of root-window from crashing
	when terminating. Corrected check/set window coord-limits.
	More fixes of menu/popups.
	
2004-10-10 Sunday 18:04  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: about.c, c_window.c, c_window.h, desktop.c,
	draw_obj.c, draw_obj.h, form.c, form.h, k_init.c, menuwidg.c,
	obtree.c, obtree.h, scrlobjc.c, taskman.c, widgets.c, xa_form.c,
	xa_fsel.c, xa_global.h, xa_lbox.c, xa_menu.c, xa_objc.c,
	xa_types.h, xa_wdlg.c, xa_wind.c:

	Too many fixes to remember...
	
2004-10-09 Saturday 19:42  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: mprot.x, mprot030.c, mprot040.c:

	Share report_buserror(), the code is identical for 030 and 040/060.
	
2004-10-09 Saturday 15:37  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: c_window.c, c_window.h, messages.c, xa_evnt.c,
	xa_form.c, xa_wind.c:

	Fixed some compiler warnings.
	
2004-10-09 Saturday 15:36  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_list.h:

	Additional consistency checks in list handling routines.
	
2004-10-09 Saturday 13:24  Frank Naumann <fnaumann@freemint.de>

	* tools/strace/: print.c, print.h:

	Added two missing printers for corrected syscalls.master specification.
	
2004-10-07 Thursday 11:14  Frank Naumann <fnaumann@freemint.de>

	* sys/: fatfs.c, libkern/SRCFILES, libkern/libkern.h,
	libkern/unaligned.c, xfs/ext2fs/ext2sys.c, xfs/minixfs/minixsys.c,
	xfs/nfs/nfssys.c:

	Replaced possible unaligned memory access by a function; on 68000
	check for unaligned addresses and handle them correctly.
	
2004-10-06 Wednesday 06:41  Frank Naumann <fnaumann@freemint.de>

	* sys/: fatfs.c, libkern/asm/SRCFILES, libkern/asm/peekpoke.S,
	libkern/asm/peekpoke.h:

	Removed unused code.
	
2004-10-04 Monday 09:39  Frank Naumann <fnaumann@freemint.de>

	* sys/syscalls.master, shared/libsyscall/pars.y,
	shared/libsyscall/syscalldefs.h, shared/libsyscall/syscallparser.c:

	Corrections of the syscalls.master as suggested by Philipp Donze.
	
2004-09-26 Sunday 14:41  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: cnf_xaaes.c, draw_obj.c, draw_obj.h, form.c,
	init.c, k_mouse.c, menuwidg.c, obtree.c, rectlist.c, widgets.c,
	xa_aes.h, xa_form.c, xa_global.h, xa_objc.c, xa_types.h, xa_wind.c,
	xaaes.cnf:

	Fixed some tings regarding objc_edi() and friends, should work
	next to perfect now I hope. Turns out wind_calc() can return
	negative width/heigh, fixes stzip's too wide window. Added
	new configuration variable 'lrmb_swap', allowing for swapping
	left and right mouse buttons.
	
2004-09-26 Sunday 08:52  Gerhard Stoll <Gerhard_Stoll@b.maus.de>

	* xaaes/src.km/xa_appl.c:

	appl_getinfo returns 0 if gi_typ=0x5800
	
2004-09-24 Friday 11:12  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, k_main.c, k_main.h, k_mouse.c,
	menuwidg.c, xa_appl.c, xa_types.h, xa_wind.c:

	Fixed new bug regarding window's MAX coordinates, affecting
	Thing's about/configuration and other dialog windows.
	
2004-09-23 Thursday 20:42  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/ext2fs/: truncate.c, version.h:

	Corrected latest additional sanity check; this prevented release of data
	blocks of directories (resulting in lost space).
	
2004-09-22 Wednesday 18:54  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_main.c, k_mouse.c, newcalls.txt, xa_appl.c,
	xa_types.h:

	Fixed wrong handling of right-button clicks, they should be
	sent uninterpreted.
	
2004-09-22 Wednesday 17:01  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: newcalls.txt, widgets.c, xa_appl.c, xa_menu.c:

	Added mode MENU_INSTL to menu_bar(). XaAES now sends
	(and idicates so via appl_getinfo()) WM_ALLICONIFY when
	ctrl+click on iconify gadget. appl_getinfo() reports that
	wind_set(..,WF_OWNER,...) is supported.
	
2004-09-21 Tuesday 19:32  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, c_window.h, cnf_xaaes.c, form.c,
	rectlist.c, widgets.c, xa_appl.c, xa_form.c, xa_fsel.c, xa_types.h,
	xa_wdlg.c, xa_wind.c, xaaes.cnf:

	
	Mouse now takes correct shape upon releasing a live-action.
	Started new file 'newcalls.txt' which documents XaAES specific
	calls etc. Added new app_option keyword NAESFF with which
	redraw problems when windows FULLEd is fixed for apps needing
	it. +++
	
2004-09-18 Saturday 17:40  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, c_window.c, draw_obj.c, form.c, form.h,
	k_keybd.c, k_mouse.c, messages.c, rectlist.c, widgets.c, xa_appl.c,
	xa_form.c, xa_fsel.c, xa_global.h, xa_objc.c, xa_types.h,
	xa_wind.c:

	
	Fixed problem with alerts/form_do, now completely modal in
	situations were required. Effectively killing my dream of
	implementing non-modal non-windowed menu/dropdowns just to
	support dirty apps.
	
2004-09-17 Friday 23:31  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Added two newlines here and there.
	
2004-09-17 Friday 23:29  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Fixed minor bug (grabage ISO code displayed at startup)
	
2004-09-15 Wednesday 13:03  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/menuwidg.c:

	Don't assert for invalid m, ignore them (like before I think).
	
2004-09-15 Wednesday 12:08  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: menuwidg.c, xa_global.h:

	Dynamically reallocate the desk menu.
	
2004-09-15 Wednesday 07:24  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, handler.c, k_main.c, semaphores.c,
	xa_global.h, xa_wind.c:

	
	Now hopefully correct monitoring of update/mouse locks held
	by clients via wind_update().
	
2004-09-14 Tuesday 19:26  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, k_keybd.c, widgets.c, xa_appl.c,
	xa_global.h, xa_wind.c:

	
	Fixed problem where AESSYS redraws window exterior even when
	an app owns update lock, fixes bug #87
	
2004-09-14 Tuesday 09:21  Ingo Schmidt <ich@der-ingo.de>

	* sys/keyboard.c:

	last problem with Clr/Home resolved. Control alters scancode of Clr/Home!!
	
2004-09-13 Monday 22:32  Ingo Schmidt <ich@der-ingo.de>

	* sys/keyboard.h:

	key combos with Clr/Home work properly again.
	
2004-09-13 Monday 19:46  Odd Skancke <ozk@atari.org>

	* sys/keyboard.c:

	
	Fixed missing emulation of F11-F20 keys.
	
2004-09-13 Monday 10:33  Odd Skancke <ozk@atari.org>

	* sys/keyboard.c:

	
	when alt alone is pressed together with a key, the ascii
	code should be fetched from the alt tabs. If no ascii
	for the key there, ascii is 0.
	
2004-09-13 Monday 09:59  Odd Skancke <ozk@atari.org>

	* sys/: KERNELDEFS, keyboard.c, arch/sig_mach.c:

	
	Make sure only alt is pressed before interprete kbd actions
	as mouse actions. Fixed the kbd->mouse emulation code
	to a usable state, but for now got static timeout values.
	Added debuginfo in sig_mach.c
	
2004-09-13 Monday 09:56  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_evnt.c:

	
	Take keyboardstate read from kbd device when delivering a kbd
	event.
	
2004-09-13 Monday 07:10  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: app_man.c, c_window.c, k_shutdown.c, messages.c:

	Fixed some warnings.
	
2004-09-12 Sunday 22:33  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: scrlobjc.c, widgets.c, xa_form.c:

	
	Fixed stupid mistake not to change all functions parameters to
	the new ones, causing fileselector-widgets not to work.
	Does not fix the menubar in filesel.
	
2004-09-12 Sunday 13:26  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, c_window.c, c_window.h, xa_types.h:

	
	Fixed bug #85
	
2004-09-12 Sunday 11:44  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/widgets.c:

	
	fixed bug #81
	
2004-09-12 Sunday 10:54  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: messages.c, xa_appl.c:

	
	Now starting applications are topped correctly even when they
	dont have a menu. More correctly, apps currently ontop are
	correctly brought offtop
	
2004-09-12 Sunday 10:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/messages.c:

	
	Fixed problem where WM_REDRAW message not generatet by the
	AES ended up in the wrong queue, causing reveiver to be lagged
	
2004-09-12 Sunday 01:09  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, k_mouse.c:

	
	Fixed shade/fuller combo bug
	
2004-09-12 Sunday 00:25  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, c_keybd.c, c_mouse.c, c_window.c,
	k_keybd.c, k_keybd.h, k_main.c, k_mouse.c, messages.c, xa_appl.c,
	xa_evnt.c, xa_evnt.h, xa_graf.c, xa_types.h:

	
	Cleanup of evnt_multi() and friends
	
2004-09-11 Saturday 12:55  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/form.c:

	
	Fixed shading problems with AESSYS windows
	
2004-09-11 Saturday 01:55  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, k_main.c, k_mouse.c, menuwidg.c,
	widgets.c:

	
	Fixed some new problems with AESSYS windows.
	
2004-09-10 Friday 17:53  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, c_message.c, c_mouse.c, c_window.c,
	c_window.h, desktop.c, form.c, k_mouse.c, menuwidg.c, messages.c,
	messages.h, rectlist.c, scrlobjc.c, taskman.c, widgets.c,
	widgets.h, xa_appl.c, xa_evnt.c, xa_form.c, xa_fsel.c, xa_graf.c,
	xa_lbox.c, xa_shel.c, xa_types.h, xa_wdlg.c, xa_wind.c,
	adi/moose.h:

	
	Implemented window shading + lots of fixes..
	
2004-09-06 Monday 13:27  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/isofs/: iso.h, isofs.c, isofs_rrip.c:

	Bugfixes and more debug output.
	
2004-08-31 Tuesday 11:27  Frank Naumann <fnaumann@freemint.de>

	* sys/xfs/isofs/: .cvsignore, BINFILES, COPYING, EXTRAFILES,
	MISCFILES, Makefile, SRCFILES, iso.h, iso_rrip.h, isofs.c, isofs.h,
	isofs_global.c, isofs_global.h, isofs_rrip.c, isofs_rrip.h,
	isofs_util.c, isofs_util.h, metados.h:

	Started isofs filesystem driver. It's not much done yet but the super
	block can be read and the xfs framework itself is functional.
	
2004-08-31 Tuesday 02:00  Petr Stehlik <joy@sophics.cz>

	* sys/mint/sockio.h:

	typos in comments fixed
	
2004-08-29 Sunday 14:53  Jan Krupka <krupkaj@ol.ngbox.cz>

	* sys/tbl/Czech/: !Ctime, czech_iso.src, czech_iso.tbl,
	czech_kam.src, czech_kam.tbl:

	Added Czech keyboard tables
	
2004-08-29 Sunday 13:24  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: widgets.c, xa_graf.c, xa_graf.h:

	
	Fixed rectangle boundary-check, so one cannot resize windows
	more or less than given min/max, fixing the remaining problem
	with bug #79.
	
2004-08-29 Sunday 11:37  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, k_main.c, k_mouse.c, k_shutdown.c,
	taskman.c, xa_evnt.c, xa_form.c, xa_graf.c, xaaes.h, xaaes.hrd,
	xaaes.rsc:

	
	Now mouse events should be correct :-) Fixed bug #79.
	RSC updated, will start work on better shutdown control soon.
	
2004-08-29 Sunday 10:33  Jan Krupka <krupkaj@ol.ngbox.cz>

	* sys/keyboard.c:

	Added rest of ISO 8859-2 characters to ctype/tolower/toupper tables
	
2004-08-26 Thursday 21:03  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: form.c, k_keybd.c, k_main.c, k_mouse.c,
	scrlobjc.c, xa_evnt.c, xa_global.c, xa_global.h, xa_graf.c,
	adi/whlmoose/whlmoose.c:

	
	Cleanup of code dealing with button events, from reception of
	moose data from moose.adi to delivery of application events.
	Moose.adi does not buffer any moose packets anymore, this is
	done on the XaAES side. Mouse handling should be more or less
	perfect now... I hope. Removed a roottimeout thing I never
	understood the purpose of, seems to fix bug #72 on my system.
	
2004-08-25 Wednesday 00:42  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_window.c, cnf_xaaes.c, init.c,
	k_main.c, k_mouse.c, k_shutdown.c, widgets.c, widgets.h, xa_appl.c,
	xa_evnt.c, xa_global.h, xa_graf.c, xa_types.h, xa_wdlg.c,
	xa_wind.c, xaaes.cnf, adi/whlmoose/whlmoose.c:

	
	moose.adi no longer uses kmalloc() from its timer_handler
	Mouse events finally handled correctly, fixing most of the
	problems with MU_BUTTON application events. Added configuration
	keyword REDRAW_TIMEOUT, which specifies the amount of time
	XaAES allows for applications to service WM_REDRAW messages
	before marking slow/busy applications as 'lagging' and
	service WM_REDRAWS internally, see xaaes.cnf
	Remember, update moose.adi
	
2004-08-21 Saturday 12:17  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_appl.c:

	
	Fixed a problem where parent app starts a child and sends it
	an AES message before child gets the chance to do appl_init,
	resulting in lost functionality. Look at line 732 in xa_appl.c
	and if anyone got better ideas, let me know. This fixes
	XaAES bug #66.
	
2004-08-21 Saturday 10:30  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: xa_graf.c, xa_types.h:

	
	Fixed graf_mouse(M_PREVIOUS), I hope. I have no way of testing this
	and only hope it is correct.
	
2004-08-20 Friday 20:01  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_mouse.c, widgets.c, widgets.h:

	
	Now mouse change shape over SIZER widget as well. Mouse changes
	shape to the shape used by the application owning the window
	underneath the mouse.
	
2004-08-19 Thursday 16:39  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, cnf_xaaes.c,
	init.c, k_init.c, k_main.c, k_mouse.c, widgets.c, widgets.h,
	xa_appl.c, xa_defs.h, xa_evnt.c, xa_fsel.c, xa_global.c,
	xa_global.h, xa_graf.c, xa_graf.h, xa_lbox.c, xa_types.h,
	xa_wind.c, xaaes.cnf, adi/moose.h, adi/whlmoose/whlmoose.c:

	
	Fixed a problem where update/mouse_lock holder did not get MU_Mx
	events, making Things desktop-popup usable with Thing not infront.
	Started work on changing mouse-shape to indicate possible actions
	on widgets under mouse, shape now shifts to indicate window-border
	sizability. Fixed a problem cause by unstable mouse-buttons where
	'extra' clicks sometimes followed a button-hold session.
	New configuration keyword MP_TIMEGAP to set the 'time-gap'
	between two button-events for moose.adi, see xaaes.cnf.
	Implemented version check when opening moose.adi. Update moose.adi
	
2004-08-19 Thursday 11:39  Odd Skancke <ozk@atari.org>

	* sys/arch/syscall.S:

	
	Allow sheduler to do its work upon leaving a trap 2 AES
	(and only AES) system call.
	
2004-08-18 Wednesday 08:31  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/060sp/: .cvsignore, BINFILES, EXTRAFILES, MISCFILES,
	Makefile, README, SRCFILES, asm2gas, copyright.S, mint060sp.S,
	motorola/CHANGES, motorola/ERRATA, motorola/MISC, motorola/README,
	motorola/fplsp.doc, motorola/fplsp.s, motorola/fplsp.sa,
	motorola/fpsp.doc, motorola/fpsp.s, motorola/fpsp.sa,
	motorola/fskeletn.s, motorola/ftest.s, motorola/ftest.sa,
	motorola/ilsp.doc, motorola/ilsp.s, motorola/ilsp.sa,
	motorola/iskeletn.s, motorola/isp.doc, motorola/isp.s,
	motorola/isp.sa, motorola/itest.s, motorola/itest.sa,
	motorola/os.s, motorola/pfpsp.s, motorola/pfpsp.sa,
	motorola/test.doc:

	Imported gcc adapted version of Holger Schulz 060sp to emulate the
	missing fpu and integer instructions of the 68060 CPU. It's a standalone
	version yet and will be integrated into kernel soon. Many thanks to
	Holger Schulz. Also imported original Motorola 060sp distribution which
	include the core fpu and integer emulation, documentation and tests.
	
2004-08-12 Thursday 07:40  Frank Naumann <fnaumann@freemint.de>

	* sys/: fatfs.c, xfs/ext2fs/ext2dev.c, xfs/ext2fs/ext2sys.c,
	xfs/ext2fs/inode.c, xfs/ext2fs/truncate.c, xfs/ext2fs/truncate.h,
	xfs/ext2fs/version.h:

	Additional sanity checks for Dcntl(FTRUNCATE).
	
2004-08-11 Wednesday 21:16  Frank Naumann <fnaumann@freemint.de>

	* sys/dos.c, sys/k_exit.c, sys/proc_help.c,
	xaaes/src.km/sys_proc.c:

	Some cleanup, optimized proc_helper a little bit. Delay 2 seconds before
	poweroff.
	
2004-08-11 Wednesday 20:51  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_main.c:

	Set keyboard tty to RAW mode on XaAES startup (and restore old state on
	XaAES shutdown).
	
2004-08-11 Wednesday 20:50  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_shel.c:

	Free save_tail kmalloc'ed memory if process creation fail.
	
2004-08-10 Tuesday 16:58  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: menuwidg.c, menuwidg.h, xa_appl.c, xa_types.h:

	
	Change storage of menu attachments from array to linked list.
	Makes unlimited number of attachments possible as well as fixes
	a bug where XaAES ran out of 'slots' in its attachments array.
	amail crashed badly because of this bug after a while playing
	with its popups.
	
2004-08-10 Tuesday 08:47  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_mouse.c, c_window.c, form.c, menuwidg.c,
	menuwidg.h, messages.c, xa_evnt.c, xa_shel.c:

	
	Fixed root-window-overdrawing problem. Fixed a problem where
	popupselection was not returned when clicking an entry in the
	parent of a diplayed child-popup.
	
2004-08-09 Monday 16:09  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: handler.c, menuwidg.c, xa_graf.c:

	
	Fixed forgotten updatelock during graf_xxxbox() functions.
	Fixes bug #61.
	
2004-08-09 Monday 12:31  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: about.c, app_man.c, c_window.c, desktop.c,
	draw_obj.c, form.c, handler.c, menuwidg.c, menuwidg.h, obtree.c,
	obtree.h, rectlist.c, scrlobjc.c, xa_appl.c, xa_form.c, xa_graf.c,
	xa_lbox.c, xa_menu.c, xa_objc.c, xa_rsrc.c, xa_types.h, xa_wdlg.c:

	
	Fixed about-window not using AESSYS app_options. Fixed situation
	where WM_ONTOP was not sent to window ontop after app termination.
	The outer frame of windows are now drawn in dark-gray, will be
	configurable in time. Cleaned up handling of nolist windows,
	now scrolling popups works again, altho not perfect.
	Made XA_rsrc_free() callable without appl_init(), in which case
	the call just return OK (prevents thrust from crashing when exiting)
	Fixed bug causing a menu_attach'ment not to be removed probperly
	before attaching a new one to the same tree/obj. The wrong
	attachment was returned and caused crash. This fixes amail popup
	problems. Many lbox_xx() improvements.
	
2004-08-07 Saturday 20:27  Norman Feske <nf2@inf.tu-dresden.de>

	* sys/libkern/vsprintf.c:

	Avoid wrong (or should I say none) emulation problem of the div
	instruction on the Coldfire by casting the source/destination
	operand u in function PUTL from ulong to long.
	
2004-08-07 Saturday 09:31  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: handler.c, xa_appl.c:

	Bugfixed compile time calculation of the MagiC extension bits.
	
2004-08-07 Saturday 09:13  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/handler.c:

	Send SIGKILL for illegal issued AES syscalls and inform user with a much
	better readable ALERT.
	
2004-08-07 Saturday 07:43  Frank Naumann <fnaumann@freemint.de>

	* sys/cnf.h, sys/cnf_mint.c, xaaes/src.km/cnf_xaaes.c,
	xaaes/src.km/widgets.c, xaaes/src.km/xa_types.h:

	Corrected some more warnings in XaAES (related to cnf parser).
	
2004-08-07 Saturday 07:14  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: form.c, k_keybd.c, rectlist.c, rectlist.h,
	xa_evnt.c:

	Fixed some minor warnings.
	
2004-08-06 Friday 18:09  Frank Naumann <fnaumann@freemint.de>

	* tools/strace/: Makefile, gentables.c:

	Slight updates.
	
2004-08-06 Friday 14:59  Frank Naumann <fnaumann@freemint.de>

	* tools/strace/gentables.c:

	Renamed self defined strupr to avoid conflicts with the native compiler.
	
2004-08-06 Friday 11:28  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/xa_lbox.c:

	
	lbox_xx() functions undergoing overhoul. Supports most function
	now, including slider pauses. Faulty handling of horizontal
	A sliders when autoscrolling which will be fixed next.
	
2004-08-06 Friday 09:39  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: obtree.c, xa_appl.c, xa_form.c, xa_lbox.c,
	xa_types.h, xa_wdlg.c:

	
	lbox_xx() functions much better
	
2004-08-06 Friday 09:02  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/: intr.S, sig_mach.c, sig_mach.h:

	Removed obsolete Psigintr() stuff. Made exception() private to sig_mach.c,
	not used in any other place. Optimized and enhanced some DEBUG statements.
	
2004-08-05 Thursday 22:29  Frank Naumann <fnaumann@freemint.de>

	* sys/sockets/inet4/: icmp.c, if.c, ip.c:

	Fixed bad NULL pointer access that happen until the primary interface was
	set.
	
2004-08-04 Wednesday 13:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Update todos.
	
2004-08-03 Tuesday 22:44  Frank Naumann <fnaumann@freemint.de>

	* sys/syscalls.master:

	Updated missing prototypes, added additional esoteric XBIOS calls.
	
2004-08-03 Tuesday 22:42  Frank Naumann <fnaumann@freemint.de>

	* tools/strace/Makefile, tools/strace/print.c,
	tools/strace/print.h, shared/libsyscall/syscallparser.c:

	Fixed warnings.
	
2004-08-03 Tuesday 22:07  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_main.c, xa_lbox.c:

	
	Fixed lbox_get_item_index(), indexes starts at 0, not 1.
	Some cleanup.
	
2004-08-03 Tuesday 15:38  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/k_main.c:

	
	Fixed a problem causing kbstate not to be set correctly when
	evnt_xxx() returns with events other than kbd and mouse.
	This makes Interface able to see shift-keys again.
	
2004-08-03 Tuesday 14:15  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: draw_obj.c, xa_form.c, xa_lbox.c:

	
	Fixed object-drawing problem. Fixed a bug in lbox_get() which
	caused a memory-violation.
	
2004-08-03 Tuesday 05:49  Frank Naumann <fnaumann@freemint.de>

	* sys/debug.c:

	Handle 'R' as warmboot on input from remote debug device.
	
2004-08-03 Tuesday 05:47  Frank Naumann <fnaumann@freemint.de>

	* sys/arch/sig_mach.c:

	Fixed newly introduced bug in sendsig, handle SA_RESET flag after
	the sa_handler is used.
	
2004-08-03 Tuesday 00:24  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: k_mouse.c, menuwidg.c, menuwidg.h, obtree.c,
	xa_menu.c:

	
	menu_attach(ME_ATTACH) never check for and removed an existing
	attachment, causing all sorts of weird effects. This fix resolves
	bug #23. Fixed a situation where rectangle events were sent to
	other than owner of update/mouse lock when the locking client
	wasnt waiting for MU_M1/2
	
2004-08-02 Monday 21:19  Frank Naumann <fnaumann@freemint.de>

	* sys/bios.c, sys/bios.h, sys/init.c, sys/k_exec.c, sys/k_exec.h,
	sys/k_exit.c, sys/k_exit.h, sys/k_prot.c, sys/k_prot.h,
	sys/k_resource.c, sys/k_resource.h, sys/syscall_vectors.c,
	sys/syscall_vectors.h, sys/sysv_sem.h, sys/xbios.c, sys/xbios.h,
	sys/gen-syscall/gentables.c, sys/mint/kentry.h, sys/mint/sem.h,
	shared/libsyscall/syscallparser.c:

	Moved init_bios/init_xbios to the right files, changed some prototypes
	from int to short.
	
2004-08-02 Monday 14:50  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, cnf_xaaes.c,
	form.c, k_keybd.c, k_mouse.c, k_mouse.h, menuwidg.c, widgets.c,
	xa_appl.c, xa_evnt.c, xa_global.h, xa_wind.c, xaaes.cnf:

	
	Fixed many problems with focus (destroying point-to-type for now)
	allowing clients wihtout windows or menubar to get keyboard events.
	Global application cycling now also takes into account apps that
	dont have windows or menu, but waits for kbd.
	Added a new configuration keyword, 'CLOSE_LASTWIND', which dictates
	what XaAES should do when last window of an app is closed, see
	xaaes.cnf. Bug #42 is resolved.
	Fixed up recover() a bit. Hopefully will work, but not tested.
	
2004-08-02 Monday 07:57  Frank Naumann <fnaumann@freemint.de>

	* sys/syscalls.master, shared/libsyscall/pars.y,
	shared/libsyscall/syscalldefs.h, shared/libsyscall/syscallparser.c,
	shared/libsyscall/syscallparser.h, sys/gen-syscall/gentables.c,
	tools/strace/gentables.c:

	Overworked syscall specification and completly reworked table code
	generation. Syntax is now hopefully in a final state and intuitive to
	understand.
	
2004-08-02 Monday 02:42  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Added the toupper/tolower tables also for ISO-8859-1.
	Made all this more readable (I hope).
	
2004-08-01 Sunday 18:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Implement experimentally routines that are able to do isupper(), islower(),
	toupper() and tolower() also on ISO-8859-x characters. Only ISO-8859-1 and
	the Polish part of ISO-8859-2 is implemented at the moment.
	
2004-08-01 Sunday 12:35  Frank Naumann <fnaumann@freemint.de>

	* tools/Makefile:

	Added strace to build list.
	
2004-08-01 Sunday 12:25  Frank Naumann <fnaumann@freemint.de>

	* shared/libsyscall/pars.y, shared/libsyscall/scan.l,
	shared/libsyscall/syscalldefs.h, shared/libsyscall/syscallparser.c,
	shared/libsyscall/syscallparser.h, sys/syscalls.master,
	sys/gen-syscall/gentables.c, tools/strace/gentables.c:

	Overworked and enhanced syscall parser again. Added lot of BIOS/XBIOS
	calls.
	
2004-08-01 Sunday 12:22  Frank Naumann <fnaumann@freemint.de>

	* sys/bios.c:

	Initialize biosbuf variables (disabled by default).
	
2004-08-01 Sunday 08:34  Frank Naumann <fnaumann@freemint.de>

	* shared/libsyscall/pars.y, sys/syscalls.master:

	Added prototypes for MetaDOS XBIOS extensions.
	
2004-07-31 Saturday 23:23  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: widgets.c, xa_wdlg.c:

	
	wdlg_create() now looks for the first editable object and
	prepares things so cursor appears once dialog is show
	
2004-07-31 Saturday 22:06  Odd Skancke <ozk@atari.org>

	* sys/module.c:

	
	Put back a cpush call in load_module() whose absence
	made the kernel unable to boot on my Milan040. The very
	same kernel booted and worked perfect on my Hades060 and
	TT030. So, this must be a 040 specific thing.
	
2004-07-31 Saturday 19:27  Frank Naumann <fnaumann@freemint.de>

	* shared/libsyscall/pars.y, shared/libsyscall/scan.l,
	shared/libsyscall/syscalldefs.h, sys/syscalls.master,
	sys/gen-syscall/gentables.c, tools/strace/gentables.c:

	Enhanced syscall master specification with additional status of the
	specified syscall (unimplemented, unsupported, undefined). Allows
	specification of all known system calls.
	
2004-07-30 Friday 22:17  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, k_mouse.c,
	menuwidg.c, xa_evnt.c, xa_lbox.c, xa_wdlg.c:

	
	Added more missing locks while redrawing (wdlg/lbox).
	Cleaned up and fixed lots of problems with mouse movement
	events, such as MU_Mx. Fixes some problems with Papyrus and
	Kandinsky.
	
2004-07-30 Friday 05:43  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cookie.h, info.c, keyboard.c:

	Define new cookie _ISO, specifying the local ISO-8859-x charset (where
	x can be 1 to 10, and 0 for undefined). Add new possible format of the
	keyboard.tbl file accordingly.
	
	Also bugfix the routine loading the keyboard tables.
	
2004-07-30 Friday 04:01  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bios.c, keyboard.h, tty.c:

	Move key definitions from bios.c and tty.c to keyboard.h.
	
2004-07-30 Friday 03:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Remove isupper() from the scan2asc() conditional, tolower() already
	calls it.
	
2004-07-30 Friday 01:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/acia.S:

	Minor updates.
	
2004-07-30 Friday 01:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* xaaes/src.km/obtree.c:

	In ob_find_shortcut(), don't act on disabled objects.
	
2004-07-29 Thursday 22:03  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/init.c:

	Block all signals for xaloader until XaAES is shutting down.
	
2004-07-29 Thursday 20:29  Frank Naumann <fnaumann@freemint.de>

	* Makefile, shared/BINFILES, shared/EXTRAFILES, shared/MISCFILES,
	shared/Makefile, shared/SRCFILES, sys/syscalls.master,
	shared/libsyscall/.cvsignore, shared/libsyscall/BINFILES,
	shared/libsyscall/EXTRAFILES, shared/libsyscall/MISCFILES,
	shared/libsyscall/Makefile, shared/libsyscall/SRCFILES,
	shared/libsyscall/pars.y, shared/libsyscall/scan.l,
	shared/libsyscall/syscalldefs.h, shared/libsyscall/syscallparser.c,
	shared/libsyscall/syscallparser.h, sys/gen-syscall/.cvsignore,
	sys/gen-syscall/Makefile, sys/gen-syscall/check.c,
	sys/gen-syscall/check.h, sys/gen-syscall/generate.c,
	sys/gen-syscall/generate.h, sys/gen-syscall/gentables.c,
	sys/gen-syscall/list.c, sys/gen-syscall/list.h,
	sys/gen-syscall/main.c, sys/gen-syscall/pars.y,
	sys/gen-syscall/scan.l, tools/strace/.cvsignore,
	tools/strace/BINFILES, tools/strace/EXTRAFILES,
	tools/strace/MISCFILES, tools/strace/Makefile,
	tools/strace/SRCFILES, tools/strace/gentables.c,
	tools/strace/print.c, tools/strace/print.h, tools/strace/strace.c,
	sys/mint/stat.h, sys/mint/time.h, sys/sockets/inet4/in.h:

	Started new system tool strace to trace system calls of processes
	(a tool like the well known ktrace/strace of BSD/Linux). It's a
	working prototype and need lot of pretty printing. Sorted out the
	syscalls.master parser into new top level folder shared. Updated
	sys/gen-syscall too.
	
2004-07-29 Thursday 15:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: acia.S, init_intr.c:

	Cleanup, added some comments, minor changes.
	
2004-07-29 Thursday 02:13  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/KERNELDEFS:

	Compile AKP keyboard for ordinary ST too.
	
2004-07-29 Thursday 02:10  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: SRCFILES, acia.S, acia.h, init_intr.c:

	Added ACIA interrupt service routine to be activated on TOS 1.0x to
	make our AKP keyboard work.
	
2004-07-29 Thursday 02:06  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, info.h:

	Corrected compile time conditionals.
	
2004-07-29 Thursday 02:05  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/k_sysctl.c:

	#ifdef DEBUG > #ifdef DEBUG_INFO
	
2004-07-28 Wednesday 22:04  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/form.c:

	
	Changed WM_REDRAW messages for AESSYS windows to be executed
	no matter what the update/mouse lock status instead of just
	discarding them.
	
2004-07-28 Wednesday 21:37  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, cnf_xaaes.c, form.c, k_mouse.c:

	
	Fixed missing update_locks when handling WM_REDRAWS internally.
	Fixed a problem where button events was sent to a different
	application than the holder of either update or mouse lock.
	May see redraw errors in AESSYS's windows because WM_REDRAWS
	for these are just discarded if update/mouse is locked by
	someone. Fixed bug causing 'false, no, 0, off' in get_boolarg()
	not to write the result.
	
2004-07-28 Wednesday 20:47  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h:

	Change ikbd_scan() to return type void, i.e. never return the control
	to TOS.
	
2004-07-28 Wednesday 20:45  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Never follow the old vector in newkeys().
	
2004-07-28 Wednesday 11:55  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, form.c, widgets.c, xa_types.h:

	
	Fixes for windows containing form_do() sessions. Now we use
	the borders of the object tree instead of window borders.
	This fixes newly introduced redraw errors with windowed
	form_do() sessions, like Autosort.
	
2004-07-28 Wednesday 09:54  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/cnf_xaaes.c:

	
	Forgot to change 'winframe' to 'winframe_size'.
	
2004-07-28 Wednesday 08:52  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, cnf_xaaes.c, form.c, init.c, k_init.c,
	widgets.c, xa_defs.h, xaaes.cnf:

	
	Changed the keyword 'app_options' argument a bit, please
	read the xaaes.cnf and update your .cnf accordingly.
	Now it is possible to get a single-pixel windowframe. Cant
	turn off window-shadow yet tho.
	
2004-07-28 Wednesday 07:35  Frank Naumann <fnaumann@freemint.de>

	* sys/cnf_mint.c, sys/k_sysctl.c, sys/k_sysctl.h, sys/keyboard.c,
	sys/keyboard.h, sys/mint/sysctl.h, tools/sysctl/sysctl.c:

	Made new keyboard features runtime configurable through sysctl.
	
2004-07-28 Wednesday 03:44  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h, syscall_vectors.c:

	Provide our own Kbdvbase() call.
	
2004-07-28 Wednesday 00:03  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Cleanup, added comments, done minor improvements.
	
2004-07-27 Tuesday 23:58  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/: mint-en.hyp, mint-en.ref, mint-en.stg:

	Update.
	
2004-07-27 Tuesday 21:48  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Make timeout delta bigger in mouse_dclick().
	
2004-07-27 Tuesday 21:29  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Mouse movements made via keyboard reprogrammed more intelligently
	to timeouts. These are:
	- Alt/arrow: moves mouse cursor 8 pixels in specified direction
	- Shift/Alt/arrow: moves mouse cursor 1 pixel in specified direction
	- Alt/ClrHome: right click
	- Alt/Insert: left click
	- Shift/Alt/Insert: double left click
	
	Also disabled code that handled Alt/Ctrl/Undo.
	
2004-07-27 Tuesday 19:16  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Ups, copy/paste error.
	
2004-07-27 Tuesday 19:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h:

	Implemented mouse coursor movements with Alt/arrow key combination.
	
2004-07-27 Tuesday 19:05  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: intr.S, intr.h:

	Add short routine to route IKBD packets down through KBDVECS.
	
2004-07-27 Tuesday 19:03  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Always set out own _AKP cookie.
	
2004-07-27 Tuesday 06:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Use libkern atol() to do ASCII->integer conversion.
	Also update comments and do few other minor changes.
	
2004-07-27 Tuesday 05:34  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cnf_mint.c, keyboard.c, keyboard.h:

	ikbd_scan() simplified and cleaned up a bit.
	
	Added experimentally code that changes the CapsLock operation
	to be AT-style. Controlled by new cnf keyword: KBD_AT_CAPS=YES
	(default is NO, obviously).
	
2004-07-26 Monday 22:59  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: cnf_xaaes.c, init.c, k_main.c, xa_appl.c,
	xaaes.cnf:

	
	Implemented new cnf keyword 'app_options'. See xaaes.cnf for
	details.
	
2004-07-26 Monday 22:37  Frank Naumann <fnaumann@freemint.de>

	* sys/: keyboard.c, keyboard.h, tty.c:

	Heavily cleanup of tty_ioctl(), localized variables into the case stmts.
	Also use the kernel keytab in escseq instead ROM_Keytbl().
	
2004-07-26 Monday 22:07  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/taskman.c:

	Don't remove windows in send_terminate, will be done in exit_client.
	
2004-07-26 Monday 22:05  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_main.c:

	Don't set pty master flag; this need to be investigated more.
	
2004-07-26 Monday 19:02  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h:

	Minor change in scan2asc() conditionals.
	
2004-07-26 Monday 18:41  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Pass the IOREC_T pointer to the ikbd_scan().
	Zero out the higher byte of the scancode before calling ikbd_scan().
	
2004-07-26 Monday 18:36  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: keyboard.c, keyboard.h:

	Add Milan's AltGr key handling.
	Bugfix the Shift key behaviour, when Caps was enabled.
	
2004-07-26 Monday 12:07  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/global.c:

	Removed wrong special characters at the ehad of the file.
	
2004-07-26 Monday 10:39  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: app_man.c, cnf_xaaes.c, global.c, init.c,
	widgets.c, xa_types.h:

	
	Started implementation of new cnf keyword APP_OPTIONS. Not to
	be used yet, as implementation will change
	
2004-07-26 Monday 10:26  Odd Skancke <ozk@atari.org>

	* sys/keyboard.c:

	
	Fixed wrong order of arguments to put_key_into_buf().
	
2004-07-26 Monday 09:19  Frank Naumann <fnaumann@freemint.de>

	* sys/k_exit.c:

	Don't output some TRACE messages for the MiNT thread.
	
2004-07-26 Monday 08:18  Frank Naumann <fnaumann@freemint.de>

	* sys/libkern/kernel_module.h, xaaes/src.km/k_keybd.c:

	Use f_instat/f_getchar instead of BIOS routines for reading from the
	console.
	
2004-07-26 Monday 07:59  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/: init.c, init.h, k_main.c:

	Join pgrp of the xaloader process. Also forcing the console device to
	act in pty master mode (ignoring any job control).
	
2004-07-26 Monday 07:54  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/k_shutdown.c:

	Clean debug file fileptr after closing, allows usage of debug macros
	after k_shutdown() finished.
	
2004-07-26 Monday 07:49  Frank Naumann <fnaumann@freemint.de>

	* xaaes/src.km/xa_list.h:

	Fixed bad bug in LIST_INSERT_START, the prev pointer of the first
	element of the list was not filled in.
	
2004-07-26 Monday 02:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/examples/mint.cnf:

	Yet another revision.
	
2004-07-25 Sunday 23:04  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/: beginner/mint-en.stg, examples/mint.cnf:

	Update mint.cnf example.
	
2004-07-25 Sunday 23:03  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/init.c:

	Set $PATH by default to the sysdir.
	Minor changes in TRACE() messages.
	
2004-07-25 Sunday 18:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Make TRACE() display conterm value at startup + some minor changes.
	
2004-07-25 Sunday 17:08  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: init_intr.c, init_intr.h:

	Ids.
	
2004-07-25 Sunday 16:59  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Added simple code to display catched scancodes in debug output.
	Disabled by default.
	
2004-07-25 Sunday 16:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: arch/SRCFILES, arch/halt.c, arch/init_intr.c,
	arch/init_intr.h, dev-mouse.c, init.c, init.h, module.c:

	init_intr(), restr_intr() and such, moved to the arch/ folder.
	
2004-07-25 Sunday 15:26  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Preserve scratch registers before calling the BIOS key click routine.
	
2004-07-25 Sunday 09:10  Frank Naumann <fnaumann@freemint.de>

	* sys/bios.c, sys/dos.c, sys/k_fds.c, sys/k_kthread.c, sys/proc.c,
	sys/proc_help.c, sys/signal.c, sys/tty.c, xaaes/src.km/k_main.c:

	Changes regarding pgrp management. This should fix the non-reacting
	keyboard during mint.cnf execution. Adapted XaAES to open the console
	as session leader of a new session. Also load cnf specified shell=
	desktop as last (so it's the first process on the ready queue).
	
2004-07-25 Sunday 09:03  Frank Naumann <fnaumann@freemint.de>

	* sys/: bootmenu.c, module.c:

	Additional stop_and_ask() for the step-by-step booting mode.
	
2004-07-25 Sunday 09:01  Frank Naumann <fnaumann@freemint.de>

	* sys/: init.c, init.h, keyboard.c, keyboard.h, ssystem.c:

	Reworked and simplified keyboard initialization and table file loading.
	This fixes the non working step-by-step initialization.
	
2004-07-25 Sunday 09:00  Frank Naumann <fnaumann@freemint.de>

	* sys/unicode.c:

	Print verbose messages only if a unicode table file exist.
	
2004-07-25 Sunday 02:35  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: key_tables.h, keyboard.c, keyboard.h:

	More updates related to the WITHOUT_TOS switch.
	
2004-07-25 Sunday 01:18  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cnf.c, info.c, info.h, keyboard.c, umemory.c:

	Moved few ALERTs to info.c + few other minor corrections.
	
2004-07-24 Saturday 23:53  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/init_mach.c:

	Removed dependency on keyboard.h
	
2004-07-24 Saturday 23:50  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: global.c, global.h, key_tables.h, keyboard.c, keyboard.h:

	More updates, bit 1 of conterm variable now switches the autorepeat
	on/off (as on TOS), also restored the compile time option WITHOUT_TOS
	which defaults to USA keyboard layer.
	
2004-07-24 Saturday 21:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/ssystem.c:

	Update to reflect changes in keyboard.c.
	
2004-07-24 Saturday 21:16  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: info.c, keyboard.c:

	Set the _AKP cookie on TOS 2.0x/3.0x too. Add some debug messages.
	And other minor updates all around.
	
2004-07-24 Saturday 21:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/mem.h:

	For minimal 68000 kernels: experimentally define QUANTUM as 2048.
	
2004-07-24 Saturday 21:13  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/tosbind.h:

	Added binding for TRAP_Kbrate() - used before MiNT initialization
	to obtain BIOS keyboard repetition defaults.
	
2004-07-24 Saturday 16:40  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: init.c, KERNELDEFS, keyboard.c, keyboard.h, ssystem.c,
	syscall_vectors.c:

	Implement keyboard auto-repetition, unhook the TOS keyboard translation
	routines. The AKP translation should now work not only on TOS 4.0x, but
	also on TOS 2.0x/3.0x. For TOS below < 2.0 please compile with
	-DNO_AKP_KEYBOARD, until new ACIA service routine will be written.
	Highly alpha stuff, but please test.
	
2004-07-24 Saturday 16:37  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Update for the new keyboard driver.
	
2004-07-24 Saturday 10:51  Odd Skancke <ozk@atari.org>

	* xaaes/src.km/: c_window.c, c_window.h, desktop.c, form.c,
	k_init.c, k_mouse.c, messages.c, taskman.c, xa_form.c, xa_rsrc.c,
	xa_types.h, xaaes.cnf:

	
	Made drawing window-exterior (draw_window()) context indipendant.
	Fixed redraw-bugs due to wrong rectangle-sorting. Corrected some
	things related to form_do() and XaAES's handling of windowind
	those. And more fixes I dont remember because of very long shifts
	at work...
	
2004-07-24 Saturday 01:56  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: cpu.S, intr.S:

	Add Ids.
	
2004-07-24 Saturday 01:48  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Check conterm variable before jumping to the keyclick routine.
	
2004-07-24 Saturday 01:47  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/keyboard.c:

	Updates.
	
2004-07-23 Friday 01:32  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/intr.S:

	Move #endif to correct place.
	
2004-07-23 Friday 01:21  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/detect.S:

	Updated version of the CPU detection routine: the used CINVA
	instruction (opcode $f418) may trigger Line-F exception on ColdFire,
	so save/change/restore this vector too.
	
2004-07-23 Friday 01:19  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: check_exc.c, intr.S:

	Add #ifndef ONLY68000 and #ifndef NO_FAKE_SUPER
	
2004-07-23 Friday 01:17  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/KERNELDEFS:

	Add definitions for minimal 68000 kernels. Include them (for testing)
	while compiling a 68000 kernel.
	
2004-07-23 Friday 01:15  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Cookies _MCH, _VDO, _SND, _FDC install only on TOS below 2.0,
	if they're not present. Correct the _SND value for Yamaha PSG.
	Also add some TRACE() messages.
	
2004-07-22 Thursday 18:23  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/mint/fsops.h:

	Added #ifndef NO_RAMFS (for minimal 68000 kernels)
	
2004-07-21 Wednesday 16:54  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/ssystem.c:

	Correct the initial debug message.
	
2004-07-21 Wednesday 14:22  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/dosmem.c:

	Corrected last modification of this file.
	
2004-07-21 Wednesday 13:44  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: cookie.c, dosmem.c:

	Install cookies _MCH, _VDO, _SND, _FDC when they're not
	present, and not when there is no cookie jar (the cookie jar
	can be already installed by a TSR or harddisk driver, so this is
	not a reliable criteria to use).
	
2004-07-21 Wednesday 13:42  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/: detect.S, detect.h:

	Bugfixed routines test_rd_xxx().
	
2004-07-21 Wednesday 09:31  Frank Naumann <fnaumann@freemint.de>

	* sys/buildinfo/version.h:

	Bumped version to 1.16.1-ALPHA for next development.
	
2004-07-21 Wednesday 08:59  Standa Opichal <opichals@seznam.cz>

	* xaaes/src.km/k_main.c:

	Shell and run directive arguments are now passed to the launch().
	The prepared cnf_shell_arg and cnf_run_arg[] values are used.
	
2004-07-20 Tuesday 23:26  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/arch/detect.S:

	New, hopefully better CPU detection routine. Needs testing on
	various architectures.
	
2004-07-20 Tuesday 22:11  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* doc/beginner/: mint-en.hyp, mint-en.stg:

	Fixed inconsistency.
	
2004-07-20 Tuesday 21:04  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	Slight improvement.
	
2004-07-20 Tuesday 20:53  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cookie.c:

	If there is no TOS Cookie Jar, force installing _MCH, _VDO, _SND,
	and _FDC, and assume values valid for ordinary ST machine.
	
2004-07-20 Tuesday 20:51  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/cnf_mint.c:

	Slight visual formatting.
	
2004-07-20 Tuesday 20:49  Konrad M. Kokoszkiewicz <draco@obta.uw.edu.pl>

	* sys/: bootmenu.c, init.c:

	Experimental (backward compatible) extension of the INI_STEP
	functionality.
	
2004-07-20 Tuesday 19:07  Frank Naumann <fnaumann@freemint.de>

	* sys/xdd/Makefile, sys/xdd/whlmoose/.cvsignore,
	sys/xdd/whlmoose/BINFILES, sys/xdd/whlmoose/COPYING,
	sys/xdd/whlmoose/EXTRAFILES, sys/xdd/whlmoose/MISCFILES,
	sys/xdd/whlmoose/Makefile, sys/xdd/whlmoose/README,
	sys/xdd/whlmoose/SRCFILES, sys/xdd/whlmoose/vex_x.s,
	sys/xdd/whlmoose/whlmoose.c, sys/xdd/whlmoose/whlmoose.h,
	xaaes/Makefile, xaaes/src/.cvsignore, xaaes/src/BINFILES,
	xaaes/src/CONFIGVARS, xaaes/src/DEPENDENCIES, xaaes/src/EXTRAFILES,
	xaaes/src/MISCFILES, xaaes/src/Makefile, xaaes/src/PHONY,
	xaaes/src/RULES, xaaes/src/SRCFILES, xaaes/src/about.c,
	xaaes/src/about.h, xaaes/src/accstart.h, xaaes/src/accstart.s,
	xaaes/src/ahcm.c, xaaes/src/ahcm.h, xaaes/src/app_man.c,
	xaaes/src/app_man.h, xaaes/src/bootup.c, xaaes/src/bootup.h,
	xaaes/src/c_window.c, xaaes/src/c_window.h, xaaes/src/cnf.c,
	xaaes/src/cnf.h, xaaes/src/cnf_xaaes.c, xaaes/src/cnf_xaaes.h,
	xaaes/src/config.c, xaaes/src/config.h, xaaes/src/crtinit.c,
	xaaes/src/debug.c, xaaes/src/debug.h, xaaes/src/desktop.c,
	xaaes/src/desktop.h, xaaes/src/display.c, xaaes/src/display.h,
	xaaes/src/draw_obj.c, xaaes/src/global.h, xaaes/src/handler.c,
	xaaes/src/handler.h, xaaes/src/ipff.c, xaaes/src/ipff.h,
	xaaes/src/kernel.c, xaaes/src/kernel.h, xaaes/src/libkern.h,
	xaaes/src/matchpat.c, xaaes/src/matchpat.h, xaaes/src/menuwidg.c,
	xaaes/src/menuwidg.h, xaaes/src/messages.c, xaaes/src/messages.h,
	xaaes/src/my_aes.c, xaaes/src/my_aes.h, xaaes/src/nkcc-gc.s,
	xaaes/src/nkcc-pc.s, xaaes/src/nkcc.c, xaaes/src/nkcc.h,
	xaaes/src/objects.h, xaaes/src/op_names.h, xaaes/src/p_handlr.s,
	xaaes/src/rectlist.c, xaaes/src/rectlist.h, xaaes/src/scrlobjc.c,
	xaaes/src/scrlobjc.h, xaaes/src/semaphores.c,
	xaaes/src/semaphores.h, xaaes/src/setstack.S, xaaes/src/signals.c,
	xaaes/src/signals.h, xaaes/src/startup.S, xaaes/src/taskman.c,
	xaaes/src/taskman.h, xaaes/src/trnfm.c, xaaes/src/trnfm.h,
	xaaes/src/util.c, xaaes/src/util.h, xaaes/src/vaproto.h,
	xaaes/src/version.h, xaaes/src/widgets.c, xaaes/src/widgets.h,
	xaaes/src/xa_aes.h, xaaes/src/xa_appl.c, xaaes/src/xa_clnt.c,
	xaaes/src/xa_clnt.h, xaaes/src/xa_codes.h, xaaes/src/xa_defs.h,
	xaaes/src/xa_evnt.c, xaaes/src/xa_evnt.h, xaaes/src/xa_fork.c,
	xaaes/src/xa_form.c, xaaes/src/xa_form.h, xaaes/src/xa_fsel.c,
	xaaes/src/xa_fsel.h, xaaes/src/xa_global.h, xaaes/src/xa_graf.c,
	xaaes/src/xa_graf.h, xaaes/src/xa_menu.c, xaaes/src/xa_objc.c,
	xaaes/src/xa_rsrc.c, xaaes/src/xa_rsrc.h, xaaes/src/xa_scrp.c,
	xaaes/src/xa_shel.c, xaaes/src/xa_shel.h, xaaes/src/xa_types.h,
	xaaes/src/xa_wdial.c, xaaes/src/xa_wind.c, xaaes/src/xaaes.cnf,
	xaaes/src/xalloc.c, xaaes/src/xalloc.h, xaaes/src/moose/README,
	xaaes/src/moose/vmoose.prj, xaaes/src/moose/whlmoose.S,
	xaaes/src/moose/whlmoose.prj, xaaes/src/rsc/xaaes.h,
	xaaes/src/rsc/xaaes.hrd, xaaes/src/rsc/xaaes.rsc,
	xaaes/src/rsc/xaaeswdg.h, xaaes/src/rsc/xaaeswdg.hrd,
	xaaes/src/rsc/xaaeswdg.rsc, xaaes/src/widgets/adam.hrd,
	xaaes/src/widgets/adam.rsc, xaaes/src/widgets/baroqwdg.h,
	xaaes/src/widgets/baroqwdg.hrd, xaaes/src/widgets/baroqwdg.rsc,
	xaaes/src/widgets/cbox1214.h, xaaes/src/widgets/cbox1214.hrd,
	xaaes/src/widgets/cbox1214.rsc, xaaes/src/widgets/cboxwdg.h,
	xaaes/src/widgets/cboxwdg.hrd, xaaes/src/widgets/cboxwdg.rsc,
	xaaes/src/widgets/cboxwidg.h, xaaes/src/widgets/cboxwidg.hrd,
	xaaes/src/widgets/cboxwidg.rsc, xaaes/src/widgets/gemjwdg.rsc,
	xaaes/src/widgets/gilwidg.hrd, xaaes/src/widgets/gilwidg.rsc,
	xaaes/src/widgets/homwdg.rsc, xaaes/src/widgets/ligt_wdg.rsc,
	xaaes/src/widgets/magicwdg.rsc, xaaes/src/widgets/mbox1214.h,
	xaaes/src/widgets/mbox1214.hrd, xaaes/src/widgets/mbox1214.rsc,
	xaaes/src/widgets/mboxwdg.h, xaaes/src/widgets/mboxwdg.hrd,
	xaaes/src/widgets/mboxwdg.rsc, xaaes/src/widgets/mboxwidg.h,
	xaaes/src/widgets/mboxwidg.hrd, xaaes/src/widgets/mboxwidg.rsc,
	xaaes/src/widgets/monowidg.h, xaaes/src/widgets/monowidg.hrd,
	xaaes/src/widgets/monowidg.rsc, xaaes/src/widgets/nine-wdg.rsc,
	xaaes/src/widgets/nine_wdg.rsc, xaaes/src/widgets/pas_wdg.rsc,
	xaaes/src/widgets/ronb_wdg.rsc, xaaes/src/widgets/rond_wdg.rsc,
	xaaes/src/widgets/rondswdg.rsc, xaaes/src/widgets/styl_wdg.rsc,
	xaaes/src/widgets/w98_wdg.rsc, xaaes/src/widgets/win_wdg.rsc,
	xaaes/src/widgets/xaaeswdg.h, xaaes/src/widgets/xaaeswdg.hrd,
	xaaes/src/widgets/xaaeswdg.rsc:

	Removed old XaAES sources.
	
2004-07-20 Tuesday 18:36  Frank Naumann <fnaumann@freemint.de>

	* sys/Makefile, sys/adi/BINFILES, sys/adi/EXTRAFILES,
	sys/adi/MISCFILES, sys/adi/Makefile, sys/adi/SRCFILES,
	sys/adi/adidefs.h, sys/adi/whlmoose/.cvsignore,
	sys/adi/whlmoose/BINFILES, sys/adi/whlmoose/COPYING,
	sys/adi/whlmoose/EXTRAFILES, sys/adi/whlmoose/MISCFILES,
	sys/adi/whlmoose/Makefile, sys/adi/whlmoose/README,
	sys/adi/whlmoose/SRCFILES, sys/adi/whlmoose/vex_x.s,
	sys/adi/whlmoose/whlmoose.c, sys/adi/whlmoose/whlmoose.h,
	xaaes/src.km/Makefile, xaaes/src.km/xa_types.h,
	xaaes/src.km/adi/BINFILES, xaaes/src.km/adi/EXTRAFILES,
	xaaes/src.km/adi/MISCFILES, xaaes/src.km/adi/Makefile,
	xaaes/src.km/adi/SRCFILES, xaaes/src.km/adi/adidefs.h,
	xaaes/src.km/adi/moose.h, xaaes/src.km/adi/whlmoose/.cvsignore,
	xaaes/src.km/adi/whlmoose/BINFILES,
	xaaes/src.km/adi/whlmoose/COPYING,
	xaaes/src.km/adi/whlmoose/EXTRAFILES,
	xaaes/src.km/adi/whlmoose/MISCFILES,
	xaaes/src.km/adi/whlmoose/Makefile,
	xaaes/src.km/adi/whlmoose/README,
	xaaes/src.km/adi/whlmoose/SRCFILES,
	xaaes/src.km/adi/whlmoose/vex_x.s,
	xaaes/src.km/adi/whlmoose/whlmoose.c:

	Moved sys/adi to xaaes/src.km/adi. The adi interface is xaaes specific
	and thus relate better to the xaaes source.
	
2004-07-20 Tuesday 09:27  Frank Naumann <fnaumann@freemint.de>

	* todo.txt:

	Updated.
	
2004-07-19 Monday 06:42  Frank Naumann <fnaumann@freemint.de>

	* ChangeLog.#1.16.0:

	Added ChangeLog for 1.16.0 beta release.
	
